package Pages;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.How;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class AccountSettingsPagePF {
    WebDriver driver;
    WebDriverWait wdw;

    @FindBy(how = How.ID, using = "input-firstName")
    WebElement firstNameField;

    @FindBy(how = How.ID, using = "input-lastName")
    WebElement lastNameField;

    @FindBy(how = How.ID, using = "emailIdaccount")
    WebElement emailField;

    public AccountSettingsPagePF(WebDriver driver) {
        this.driver = driver;
        this.wdw = new WebDriverWait(this.driver, 1);
        PageFactory.initElements(driver, this);
    }

    public String getFirstName() {
        wdw.until(ExpectedConditions.elementToBeClickable(firstNameField));
        return firstNameField.getAttribute("value");
    }

    public String getLastName() {
        wdw.until(ExpectedConditions.elementToBeClickable(lastNameField));
        return lastNameField.getAttribute("value");
    }

    public String getEmail() {
        wdw.until(ExpectedConditions.elementToBeClickable(emailField));
        return emailField.getAttribute("value");
    }
}
